> For the complete documentation index, see [llms.txt](https://docs.groundcover.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.groundcover.com/operate/customize-usage/filtering-kubernetes-entities.md).

# Filtering Kubernetes entities

Customize data collection by filtering K8s entities

By default, groundcover traces all namespaces and workloads in your cluster, but sometimes you want to block ones that are irrelevant to your needs, or alternatively only allow something very specific.

groundcover allows you to add **traces filtering rules** on specific workloads and namespaces by creating a custom `values.yaml` file.\
\
The rules are a list of **regex patterns with its matching type (allow / block)** that represents the entities you want groundcover filter.

## Usage

The following overrides need to be added to your `values.yaml` configuration file. After updating the file use the [installing & updating](/getting-started/installation-and-updating/connect-kubernetes-cluster.md) instructions to apply the changes.

```yaml
tracesNamespaceFilters:
  - matchType: "allow"
    regex: "my-namespace"
tracesWorkloadFilters:
  - matchType: "block"
    regex: "do-not-show-me"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.groundcover.com/operate/customize-usage/filtering-kubernetes-entities.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
